=== krusader/DiskUsage/radialMap/CMakeLists.txt ===
set(radialMap_SRCS
    radialMap/widget.cpp
    radialMap/builder.cpp
    radialMap/map.cpp
    radialMap/widgetEvents.cpp
    radialMap/labels.cpp
    radialMap/segmentTip.cpp)
