=== debian/changelog ===
krusader (2:2.6.0-1) unstable; urgency=medium

  * New upstream release (2.6.0).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update Vcs fields, migrate to git
  * Migrate to automatic dbgsym packages
  * debian/watch: Use https
  * Drop upstream patches
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 17:45:30 +0200
