## krusader 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 project(krusader)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.2.0")
 
-set(VERSION "2.6.0" )
-set(RELEASE_NAME "Stiff Challenges")
+set(VERSION "2.7.1")
+set(RELEASE_NAME "Peace of Mind")
 
-# Manages plugin loading. For more details it can be seen https://www.kde.org/announcements/kde-frameworks-5.5.0.php
-# https://github.com/KDE/partitionmanager/blob/master/CMakeLists.txt http://commits.kde.org/kimtoy/1e62777affb0e072f3462e80bc271f3cba661104
-set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)
+if (NOT CMAKE_INSTALL_PREFIX MATCHES "^/usr(/local)?/?$" AND NOT DEFINED KDE_INSTALL_QTPLUGINDIR AND NOT DEFINED KDE_INSTALL_USE_QT_SYS_PATHS)
+    message(WARNING "CMAKE_INSTALL_PREFIX is not set to a standard location (/usr or /usr/local), krarc:/ protocol may not work. To force installing plugins into standard location use -DKDE_INSTALL_USE_QT_SYS_PATHS=true")
+endif()
 
 find_package(ECM 1.7.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -91,8 +90,14 @@
 # For security reasons, absolute kdesu path is set at build time and is not
 # configurable.
 if(NOT KDESU_PATH)
-    set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/kdesu")
+    if(EXISTS "${KDE_INSTALL_FULL_LIBDIR}/kf5/kdesu")
+      # Used by Arch distribution
+      set(KDESU_PATH "${KDE_INSTALL_FULL_LIBDIR}/kf5/kdesu")
+    else()
+      set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/kdesu")
+    endif()
 endif()
+message("kdesu path set: ${KDESU_PATH}")
 add_definitions( -DKDESU_PATH="${KDESU_PATH}" )
 
 add_definitions(${QT_DEFINITIONS} ${KF5_DEFINITIONS})
