=== pics/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-kr_combine.png
    16-actions-kr_comparedirs.png
    16-actions-kr_diskusage.png
    16-actions-kr_mountman.png
    16-actions-kr_syncbrowse_off.png
    16-actions-kr_syncbrowse_on.png
    16-actions-kr_unselect.png
    22-actions-kr_combine.png
    22-actions-kr_comparedirs.png
    22-actions-kr_diskusage.png
    22-actions-kr_mountman.png
    22-actions-kr_unselect.png
    32-actions-kr_combine.png
    32-actions-kr_comparedirs.png
    32-actions-kr_diskusage.png
    32-actions-kr_mountman.png
    32-actions-kr_unselect.png
    DESTINATION ${DATA_INSTALL_DIR}/krusader/icons
    THEME hicolor
)
