=== krusader/UserAction/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
     KF5::CoreAddons
     KF5::I18n
     KF5::IconThemes
+    KF5::Notifications
     KF5::Parts
     KF5::WidgetsAddons
     KF5::XmlGui
