=== debian/changelog ===
krusader (2:2.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:09:13 +0800

krusader (2:2.7.1-1) unstable; urgency=medium

  * Update Maintainer, alioth is gone
  * Update source url in the debian/copyright
  * New upstream release (2.7.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 25 Aug 2018 10:20:12 +0200

krusader (2:2.7.0-1) unstable; urgency=medium

  * New upstream release (2.7.0).
  * Update uploaders list as requested by MIA team (Closes: #879370)
  * Add kde-cli-tools as recommends.
    kde-cli-tools ships kdesu which is needed for the "Start Root Mode
    Krusader" menu option.
  * Update recommends/suggests with upstream's INSTALL
  * Update Vcs fields
  * Bump Standards-Version to 4.1.4.
  * Use https url in the debian/copyright Format
  * Migrate to dh using compat 11.
    Also drop parallel option, no longer needed for dh >= 11, and list-missing,
    not really needed as we don't have an install file.
  * Drop dh_auto_test override
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 May 2018 09:59:54 +0200
