=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: krusader
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Mark Purcell <msp@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.7.0~),
                libkf5archive-dev,
                libkf5bookmarks-dev,
@@ -30,19 +28,21 @@
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.5~),
-               zlib1g-dev
-Standards-Version: 4.0.0
+               zlib1g-dev,
+Standards-Version: 4.1.4
 Homepage: http://www.krusader.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/krusader.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/krusader.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/krusader
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/krusader.git
 
 Package: krusader
 Architecture: any
 Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
+Recommends: kde-cli-tools, keditbookmarks, kio-extras
 Suggests: arj,
           ark,
           bzip2,
           cpio,
+          kate,
           kdiff3 | kompare | xxdiff,
           kmail,
           konsole,
@@ -55,7 +55,7 @@
           unace,
           unrar | unrar-free | rar,
           unzip,
-          zip
+          zip,
 Description: twin-panel (commander-style) file manager
  Krusader is a simple, easy, powerful, twin-panel (commander-style) file
  manager, similar to Midnight Commander (C) or Total Commander (C).
