## krusader 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
-set(VERSION "2.7.1")
+set(VERSION "2.7.2")
 set(RELEASE_NAME "Peace of Mind")
 
 if (NOT CMAKE_INSTALL_PREFIX MATCHES "^/usr(/local)?/?$" AND NOT DEFINED KDE_INSTALL_QTPLUGINDIR AND NOT DEFINED KDE_INSTALL_USE_QT_SYS_PATHS)
@@ -30,7 +30,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 
-find_package(Qt5 5.5 CONFIG REQUIRED
+find_package(Qt5 5.9 CONFIG REQUIRED
   Concurrent
   Core
   Gui
@@ -125,6 +125,10 @@
     add_definitions(-DHAVE_POSIX_ACL)
 endif(ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)
 
+if (CMAKE_COMPILER_IS_GNUCXX)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" CACHE STRING "" FORCE)
+endif()
+
 #include(ConfigureChecks.cmake)
 
 add_subdirectory(krusader)
