=== krusader/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,8 @@
 
 set(krusader_SRCS
     krglobal.cpp
+    icon.cpp
+    filelisticon.cpp
     actionsbase.cpp
     tabactions.cpp
     kractions.cpp
@@ -38,7 +40,6 @@
     krusaderview.cpp
     krusader.cpp
     krslots.cpp
-    kicons.cpp
     krdebuglogger.cpp
 )
 
@@ -51,6 +52,7 @@
 
 target_link_libraries(krusader
                       Panel
+                      PanelView
                       BookMan
                       Dialogs
                       DiskUsage
