=== iso/libisofs/CMakeLists.txt ===
set(libisofs_SRCS
    libisofs/isofs.c)
