=== krusader/FileSystem/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
     krtrashhandler.cpp
     sizecalculator.cpp
     virtualfilesystem.cpp
-    ../../krArc/krlinecountingprocess.cpp
 )
 
 add_library(FileSystem STATIC ${FileSystem_SRCS})
