=== krusader/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
     krusaderstatus.cpp
     kfnkeys.cpp
     kcmdline.cpp
-    syncbrowsebutton.cpp
     profilemanager.cpp
     krremoteencodingmenu.cpp
     krtreewidget.cpp
