=== debian/changelog ===
krusader (2:2.7.2-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Use canonical Salsa URLs in control file.

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Explicitly add the gettext build dependency.
  * Add Rules-Requires-Root: no.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 1.60.0-2.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove outdated Source in copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 11:48:12 +0100

krusader (2:2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the qtbase5-dev build dependency to 5.9, according to the upstream
    build system.
  * Add the libacl1-dev, and libattr1-dev build dependencies to enable ACL
    support in file synchronization.
  * Link in as-needed mode.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop installing the TODO file as documentation, as it is not useful for
    users.
  * Limit the rar suggest only on amd64, and i386, i.e. the only architectures
    where it exists.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Sep 2019 08:22:16 +0200
