=== debian/control ===
--- 
+++ 
@@ -4,8 +4,11 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
+               gettext,
+               libacl1-dev,
+               libattr1-dev,
                libkf5archive-dev,
                libkf5bookmarks-dev,
                libkf5codecs-dev,
@@ -27,12 +30,13 @@
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.5~),
+               qtbase5-dev (>= 5.9~),
                zlib1g-dev,
-Standards-Version: 4.1.4
-Homepage: http://www.krusader.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/krusader
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/krusader.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.krusader.org
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krusader.git
 
 Package: krusader
 Architecture: any
@@ -53,7 +57,7 @@
           p7zip,
           rpm,
           unace,
-          unrar | unrar-free | rar,
+          unrar | unrar-free | rar [amd64 i386],
           unzip,
           zip,
 Description: twin-panel (commander-style) file manager
