=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='krusader-dbg (<= 2:2.6.0-1~~)'
