=== debian/changelog ===
krusader (2:2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.12
    - bump KF packages to 5.68
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update standards version to 4.6.1, no changes needed.
  * Drop the migration from krusader-dbg, no more needed after two Debian stable
    releases.
  * Rename debian/docs to debian/krusader.docs, to make it clearer (and
    consistent with other files) to which package it refers to.
  * Drop the NEWS file, as it is old and no more needed.
  * Update lintian overrides.
  * Stop installing "FAQ" as documentation, as it was dropped.
  * Minor change in copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Nov 2022 07:43:49 +0100
