=== debian/control ===
--- 
+++ 
@@ -2,37 +2,37 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.68.0~),
                gettext,
                libacl1-dev,
                libattr1-dev,
-               libkf5archive-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5doctools-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5itemviews-dev,
-               libkf5kio-dev (>= 5.23~),
-               libkf5notifications-dev,
-               libkf5parts-dev,
-               libkf5solid-dev,
-               libkf5textwidgets-dev,
-               libkf5wallet-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5archive-dev (>= 5.68.0~),
+               libkf5bookmarks-dev (>= 5.68.0~),
+               libkf5codecs-dev (>= 5.68.0~),
+               libkf5completion-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5doctools-dev (>= 5.68.0~),
+               libkf5guiaddons-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5itemviews-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5notifications-dev (>= 5.68.0~),
+               libkf5parts-dev (>= 5.68.0~),
+               libkf5solid-dev (>= 5.68.0~),
+               libkf5textwidgets-dev (>= 5.68.0~),
+               libkf5wallet-dev (>= 5.68.0~),
+               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5windowsystem-dev (>= 5.68.0~),
+               libkf5xmlgui-dev (>= 5.68.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.9~),
+               qtbase5-dev (>= 5.12~),
                zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.krusader.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
